﻿namespace HeuristicLab.Problems.ProgramSynthesis {
  using System.Collections.Generic;

  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class IntegerVectorErcOptions : ErcOption<IReadOnlyList<int>> {
    public IntegerVectorErcOptions() { }
    public IntegerVectorErcOptions(params WeightedErcItem<IReadOnlyList<int>>[] values) : base(true, values) { }

    public IntegerVectorErcOptions(bool isEnabled, params WeightedErcItem<IReadOnlyList<int>>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    protected IntegerVectorErcOptions(bool deserializing) : base(deserializing) { }

    public IntegerVectorErcOptions(IntegerVectorErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new IntegerVectorErcOptions(this, cloner);
    }

    public override string ToString() {
      return "IntegerVector";
    }
  }
}
